package com.ruoyi.ems.record.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 电实时数据对象 ems_record_dnb_instant
 *
 * @author Yinq
 * @date 2024-05-21
 */
public class EmsRecordDnbInstant extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long objId;

    /** 计量设备编号 */
    @Excel(name = "计量设备编号")
    private String monitorCode;

    /** 计量设备名称 */
    @Excel(name = "计量设备名称")
    private String monitorName;

    /** 采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "采集时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;

    /** A相电压 */
    @Excel(name = "A相电压")
    private BigDecimal vA;

    /** B相电压 */
    @Excel(name = "B相电压")
    private BigDecimal vB;

    /** C相电压 */
    @Excel(name = "C相电压")
    private BigDecimal vC;

    /** A相电流 */
    @Excel(name = "A相电流")
    private BigDecimal iA;

    /** B相电流 */
    @Excel(name = "B相电流")
    private BigDecimal iB;

    /** C相电流 */
    @Excel(name = "C相电流")
    private BigDecimal iC;

    /** 记录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date recordTime;

    /** 功率因数 */
    @Excel(name = "功率因数")
    private BigDecimal glys;

    /** 正向有功 */
    @Excel(name = "正向有功")
    private BigDecimal zxyg;

    /** 有功功率 */
    @Excel(name = "有功功率")
    private BigDecimal activePower;

    /** 无功功率 */
    @Excel(name = "无功功率")
    private BigDecimal reactivePower;

    /** 采集方式（0自动 1手动） */
    @Excel(name = "采集方式", readConverterExp = "0=自动,1=手动")
    private Long collectType;

    public String getMonitorName() {
        return monitorName;
    }

    public void setMonitorName(String monitorName) {
        this.monitorName = monitorName;
    }

    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId()
    {
        return objId;
    }
    public void setMonitorCode(String monitorCode)
    {
        this.monitorCode = monitorCode;
    }

    public String getMonitorCode()
    {
        return monitorCode;
    }
    public void setCollectTime(Date collectTime)
    {
        this.collectTime = collectTime;
    }

    public Date getCollectTime()
    {
        return collectTime;
    }
    public void setVA(BigDecimal vA)
    {
        this.vA = vA;
    }

    public BigDecimal getVA()
    {
        return vA;
    }
    public void setVB(BigDecimal vB)
    {
        this.vB = vB;
    }

    public BigDecimal getVB()
    {
        return vB;
    }
    public void setVC(BigDecimal vC)
    {
        this.vC = vC;
    }

    public BigDecimal getVC()
    {
        return vC;
    }
    public void setIA(BigDecimal iA)
    {
        this.iA = iA;
    }

    public BigDecimal getIA()
    {
        return iA;
    }
    public void setIB(BigDecimal iB)
    {
        this.iB = iB;
    }

    public BigDecimal getIB()
    {
        return iB;
    }
    public void setIC(BigDecimal iC)
    {
        this.iC = iC;
    }

    public BigDecimal getIC()
    {
        return iC;
    }
    public void setRecordTime(Date recordTime)
    {
        this.recordTime = recordTime;
    }

    public Date getRecordTime()
    {
        return recordTime;
    }
    public void setGlys(BigDecimal glys)
    {
        this.glys = glys;
    }

    public BigDecimal getGlys()
    {
        return glys;
    }
    public void setZxyg(BigDecimal zxyg)
    {
        this.zxyg = zxyg;
    }

    public BigDecimal getZxyg()
    {
        return zxyg;
    }
    public void setActivePower(BigDecimal activePower)
    {
        this.activePower = activePower;
    }

    public BigDecimal getActivePower()
    {
        return activePower;
    }
    public void setReactivePower(BigDecimal reactivePower)
    {
        this.reactivePower = reactivePower;
    }

    public BigDecimal getReactivePower()
    {
        return reactivePower;
    }
    public void setCollectType(Long collectType)
    {
        this.collectType = collectType;
    }

    public Long getCollectType()
    {
        return collectType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("monitorCode", getMonitorCode())
                .append("collectTime", getCollectTime())
                .append("vA", getVA())
                .append("vB", getVB())
                .append("vC", getVC())
                .append("iA", getIA())
                .append("iB", getIB())
                .append("iC", getIC())
                .append("recordTime", getRecordTime())
                .append("glys", getGlys())
                .append("zxyg", getZxyg())
                .append("activePower", getActivePower())
                .append("reactivePower", getReactivePower())
                .append("collectType", getCollectType())
                .toString();
    }
}
